Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Active_Map_Manager_Key Class Reference

Key used in the Active Object Map. More...

`#include <Active_Map_Manager.h>`

List of all members.

## Public Methods
| ACE_Active_Map_Manager_Key (void)
| Default constructor. More...
| ACE_Active_Map_Manager_Key (ACE_UINT32 slot_index, ACE_UINT32 slot_generation)
| Constructor given the <slot_index> and <slot_generation> number. More...
ACE_UINT32 | slot_index (void) const
| Get the <slot_index>. More...
void | slot_index (ACE_UINT32 i)
| Set the <slot_index>. More...
ACE_UINT32 | slot_generation (void) const
| Get the <slot_generation> number. More...
void | slot_generation (ACE_UINT32 g)
| Set the <slot_generation> number. More...
void | decode (const void *data)
| Recover state of active key from <data>. User must make sure that <data> encoded using the <encode> method. More...
void | encode (void *data) const
| Encode state of the active key into <data>. <data> must be as big as the value returned from <size>. More...
int | operator== (const ACE_Active_Map_Manager_Key &rhs) const
| Compare keys. More...
int | operator!= (const ACE_Active_Map_Manager_Key &rhs) const
void | increment_slot_generation_count (void)
| Increment the <slot_generation> number. More...
## Static Public Methods
size_t | size (void)
| Size required to store information about active key. More...
## Private Attributes
key_data | key_data_
| Data for the Active Object Map Key. More...

## Detailed Description

Key used in the Active Object Map.

This key keeps information of the index and the generation count of the slot it represents. Since the index information is part of the key, lookups are super fast and predictable,

## Constructor & Destructor Documentation

ACE_INLINE ACE_Active_Map_Manager_Key::ACE_Active_Map_Manager_Key | ( | void |  | ) |

| Default constructor.

ACE_INLINE ACE_Active_Map_Manager_Key::ACE_Active_Map_Manager_Key | ( | ACE_UINT32 | slot_index,
|  | ACE_UINT32 | slot_generation
| ) |

| Constructor given the <slot_index> and <slot_generation> number. This is useful once the user has somehow recovered the <slot_index> and <slot_generation> number from the client.

## Member Function Documentation

ACE_INLINE void ACE_Active_Map_Manager_Key::decode | ( | const void * | data | ) |

| Recover state of active key from <data>. User must make sure that <data> encoded using the <encode> method.

ACE_INLINE void ACE_Active_Map_Manager_Key::encode | ( | void * | data | ) | const

| Encode state of the active key into <data>. <data> must be as big as the value returned from <size>.

ACE_INLINE void ACE_Active_Map_Manager_Key::increment_slot_generation_count | ( | void |  | ) |

| Increment the <slot_generation> number.

ACE_INLINE int ACE_Active_Map_Manager_Key::operator!= | ( | const ACE_Active_Map_Manager_Key & | rhs | ) | const

ACE_INLINE int ACE_Active_Map_Manager_Key::operator== | ( | const ACE_Active_Map_Manager_Key & | rhs | ) | const

| Compare keys.

ACE_INLINE size_t ACE_Active_Map_Manager_Key::size | ( | void |  | ) | `[static]`

| Size required to store information about active key.

ACE_INLINE void ACE_Active_Map_Manager_Key::slot_generation | ( | ACE_UINT32 | g | ) |

| Set the <slot_generation> number.

ACE_INLINE ACE_UINT32 ACE_Active_Map_Manager_Key::slot_generation | ( | void |  | ) | const

| Get the <slot_generation> number.

ACE_INLINE void ACE_Active_Map_Manager_Key::slot_index | ( | ACE_UINT32 | i | ) |

| Set the <slot_index>.

ACE_INLINE ACE_UINT32 ACE_Active_Map_Manager_Key::slot_index | ( | void |  | ) | const

| Get the <slot_index>.

## Member Data Documentation

key_data ACE_Active_Map_Manager_Key::key_data_`[private]`

| Data for the Active Object Map Key.

The documentation for this class was generated from the following files:

- Active_Map_Manager.h
- Active_Map_Manager.i